/etc/init.d/ratbox-services is in ratbox-services-common 1.2.4+repack-2.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 | #! /bin/sh
# ratbox-services-pgsql Start/stop the ratbox services.
# This file is based on debian's ircd-hybrid init script
# Version: ircd-hybrid 7.0rc9-1 03-Mar-2003 joshk@triplehelix.org
# Version: ircd-hybrid 7.2.2-2 10-Sep-2006 ag@roxor.cx
# Version: ratbox-services 2.2.6-1 21-Aug-2007 acornet@debian.org
# Version: ratbox-services 1.1.2-1 28-Aug-2007 acornet@debian.org
### BEGIN INIT INFO
# Provides: ratbox-services
# Should-Start: $named ircd-ratbox postgresql mysql
# Should-Stop: $named ircd-ratbox postgresql mysql
# Required-Start: $local_fs $remote_fs $network
# Required-Stop: $local_fs $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: ratbox-services daemon init.d script
# Description: Control ratbox-services IRC services
### END INIT INFO
PATH=/sbin:/bin:/usr/sbin:/usr/bin
DESC="ratbox IRC Services"
NAME=ratbox-services
VARRUN=/var/run/ratbox-services
PIDFILE=$VARRUN/$NAME.pid
DAEMON=/usr/sbin/$NAME
DAEMON_ARGS=
DAEMON_USER=irc
DAEMON_GROUP=irc
ENABLED=0
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
test "$ENABLED" != "0" || exit 0
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
do_start()
{
if [ ! -d $VARRUN ] ; then
# /var/run can be cleaned at reboot
mkdir $VARRUN
chown $DAEMON_USER:$DAEMON_GROUP $VARRUN
fi
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --chuid $DAEMON_USER:$DAEMON_GROUP \
--pidfile "$PIDFILE" --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --chuid $DAEMON_USER:$DAEMON_GROUP \
--pidfile "$PIDFILE" --exec $DAEMON -- $DAEMON_ARGS > /dev/null \
|| return 2
return 0
}
do_stop()
{
start-stop-daemon --stop --quiet --user $DAEMON_USER \
--pidfile "$PIDFILE" --retry=TERM/30/KILL/5
RETVAL="$?"
# cleanup in case it dies
rm -f $PIDFILE
return "$RETVAL"
}
do_reload()
{
start-stop-daemon --stop --quiet --user $DAEMON_USER \
--pidfile "$PIDFILE" --signal 1
}
case "$1" in
start)
log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0) log_end_msg 0 ; exit 0 ;;
1) log_warning_msg " (already running)." ; exit 0 ;;
2) log_end_msg 1 ; exit 1 ;;
esac
;;
stop)
log_daemon_msg "Stopping $NAME" "$NAME"
do_stop
case "$?" in
0) log_end_msg 0 ; exit 0 ;;
1) log_warning_msg " (not running)." ; exit 0 ;;
2) log_end_msg 1 ; exit 1 ;;
esac
;;
reload)
log_daemon_msg "Reloading $NAME" "$NAME"
do_reload
log_end_msg $?
;;
restart|force-reload)
log_daemon_msg "Restarting $NAME" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ; exit 0 ;;
1) log_failure_msg " (failed -- old process is still running)." ; exit 1 ;;
2) log_failure_msg " (failed to start)." ; exit 1 ;;
esac
;;
2)
log_failure_msg " (failed to stop)." && exit 1
;;
esac
;;
status)
# PID file is perm'd 600, so only use -p if readable
if [ -r "$PIDFILE" ]; then
status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" && exit 0 || exit $?
else
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
fi
;;
conftest)
start-stop-daemon --start --quiet --chuid $DAEMON_USER:$DAEMON_GROUP --exec $DAEMON -- -t
;;
*)
echo "Usage: /etc/init.d/$NAME {start|stop|restart|reload|force-reload|status}" >&2
exit 3
;;
esac
exit 0
|